/* * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
} */

.img-float {
  width: 250px;
  height: 250px;
  /* the float property can be set either to the left or right.
  this positioning will depend of the content or the siblings of the element
  you are selecting */
  float: right;
  z-index: 1;
}

.parent-element {
  background-color: skyblue;
  padding: 10px;
  /* if the parent element has position: relative, then any children that have position absolute */
  position: relative;
  height: 800vh;
  z-index: -1;
}

.child-one {
  background-color: gray;
  padding: 10px;
  z-index: 1;
}

.child-two {
  background-color: yellow;
  padding: 10px;
  /* static - this is the default positioning of any element. you cannot use the top, left, right and bottom properties for this position
  Relative - this is the opposite of static, where in you can modity the
  top, left, bottom and right properties to define the exact position of the element. 
  It also depends on the parent element.
  
  Absollute - Instead of depending on the parent element, it depends on the page itself. 
  you can still modify the exact position by using top, left, bottom, and right properties.*/
  /* position: absolute;
  left: 10px;
  bottom: 10px; */
  /* sticky - this will be positioned relative by default but once it reaches a certain croll point
  then it will stick to the top property is crucial for it to be able to stick with spacing on the top */
  position: sticky;
  top: 10px;
  /* you can use z-idex property for the prioritization of the stack of your elements.
  you can use negative values for the elements that are usually stacked below and 
  positive values for elements stacked on top */
  z-index: 1;
}

.child-three {
  background-color: indianred;
  padding: 10px;
  z-index: 1;
}

html {
  height: 1200vh;
}
